Loading...
Searching...
No Matches
etl::reference_counter< void > Class Reference

A specialisation for a counter type of void. More...

`#include <reference_counted_object.h>`

## Public Member Functions

| reference_counter ()
| Constructor.
virtual void | set_reference_count (int32_t) ETL_OVERRIDE
| Set the reference count.
virtual void | increment_reference_count () ETL_OVERRIDE
| Increment the reference count.
virtual ETL_NODISCARD int32_t | decrement_reference_count () ETL_OVERRIDE
| Decrement the reference count.
virtual ETL_NODISCARD int32_t | get_reference_count () const ETL_OVERRIDE
| Get the current reference count.

## Detailed Description

A specialisation for a counter type of void.

## Member Function Documentation

## decrement_reference_count()

virtual ETL_NODISCARD int32_t etl::reference_counter< void >::decrement_reference_count | ( |  | ) |

inline virtual

Decrement the reference count.

Implements etl::ireference_counter.

## get_reference_count()

virtual ETL_NODISCARD int32_t etl::reference_counter< void >::get_reference_count | ( |  | ) | const

inline virtual

Get the current reference count.

Implements etl::ireference_counter.

## increment_reference_count()

virtual void etl::reference_counter< void >::increment_reference_count | ( |  | ) |

inline virtual

Increment the reference count.

Implements etl::ireference_counter.

## set_reference_count()

virtual void etl::reference_counter< void >::set_reference_count | ( | int32_t |  | ) |

inline virtual

Set the reference count.

Implements etl::ireference_counter.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_object.h